pypy_7.0.0+dfsg-3_amd64.deb


Advertisement

Description

pypy - fast alternative implementation of Python - PyPy interpreter

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename pypy_7.0.0+dfsg-3_amd64.deb
Package name pypy
Package version 7.0.0+dfsg
Package release 3
Package architecture amd64
Package type deb
Category universe/python
Homepage http://pypy.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 10.35 MB
Installed size 68.06 MB
PyPy is a fast, compliant alternative implementation of the Python language
(2.7). It has several advantages and distinct features:
* Speed: thanks to its Just-in-Time compiler (on x86), Python programs often
run faster on PyPy.
* Memory usage: large, memory-hungry Python programs might end up taking less
space than they do in CPython.
* Compatibility: PyPy is highly compatible with existing Python code.
It supports ctypes and can run popular Python libraries like twisted and
django.
* Stackless: PyPy supports stackless mode on most platforms, providing
micro-threads for massive concurrency.
This package contains the PyPy interpreter.

Alternatives

Package Version Architecture Repository
pypy_7.0.0+dfsg-3_i386.deb 7.0.0+dfsg i386 Ubuntu Universe
pypy - - -

Requires

Name Value
dpkg >= 1.15.6~
libbz2-1.0 -
libc6 >= 2.29
libexpat1 >= 2.0.1
libffi6 >= 3.0.4
libgcc1 >= 1:4.2
libgdbm6 >= 1.16
libncurses6 >= 6
libsqlite3-0 >= 3.5.9
libssl1.1 >= 1.1.0
libtinfo6 >= 6
pypy-lib = 7.0.0+dfsg-3
zlib1g >= 1:1.1.4

Provides

Name Value
pypy-abi-41 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pypy_7.0.0+dfsg-3_amd64.deb
Source Package pypy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pypy deb package:
    # sudo apt-get install pypy

Files

Path
/usr/bin/pypy
/usr/bin/pypyclean
/usr/bin/pypycompile
/usr/lib/libpypy-c.so
/usr/lib/pypy/bin/libpypy-c.so
/usr/lib/pypy/bin/pypy-c
/usr/lib/pypy/include/pypy_decl.h
/usr/lib/pypy/include/pypy_macros.h
/usr/lib/pypy/include/pypy_marshal_decl.h
/usr/lib/pypy/include/pypy_numpy.h
/usr/lib/pypy/include/pypy_structmember_decl.h
/usr/lib/pypy/lib_pypy/_audioop_cffi.pypy-41-x86_64-linux-gnu.so
/usr/lib/pypy/lib_pypy/_curses_cffi.pypy-41-x86_64-linux-gnu.so
/usr/lib/pypy/lib_pypy/_gdbm_cffi.pypy-41-x86_64-linux-gnu.so
/usr/lib/pypy/lib_pypy/_pwdgrp_cffi.pypy-41-x86_64-linux-gnu.so
/usr/lib/pypy/lib_pypy/_resource_cffi.pypy-41-x86_64-linux-gnu.so
/usr/lib/pypy/lib_pypy/_sqlite3_cffi.pypy-41-x86_64-linux-gnu.so
/usr/lib/pypy/lib_pypy/_syslog_cffi.pypy-41-x86_64-linux-gnu.so
/usr/share/doc/pypy/TODO.Debian
/usr/share/doc/pypy/changelog.Debian.gz
/usr/share/doc/pypy/copyright
/usr/share/lintian/overrides/pypy
/usr/share/man/man1/pypy.1.gz

Changelog

2019-03-24 - Stefano Rivera <stefanor@debian.org>
pypy (7.0.0+dfsg-3) unstable; urgency=medium
* Update watch file regex, upstream calls it pypy2.7 now.
* pypycompile and pypyclean now read namespaces from /usr/share/pypy/ns
(following dh_pypy). (Closes: #924676)
- Breaks old pypy-backports.functools-lru-cache, using the old location.
2019-02-12 - Stefano Rivera <stefanor@debian.org>
pypy (7.0.0+dfsg-2) unstable; urgency=medium
* Remove dh_builddeb override, no longer necessary.
* Bump Standards-Version to 4.3.0, no changes needed.
* Patch from upstream release branch: hypothesis-crashes: Handle older
hypothesis versions better.
* Patch hurd-sysmacros: Include <sys/sysmacros.h> on GNU/Hurd.
(Closes: #921937)
* Use /usr/share/dpkg/architecture.mk to export DEB_HOST_MULTIARCH.
2019-02-07 - Stefano Rivera <stefanor@debian.org>
pypy (7.0.0+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Drop patches avoid-rvmprof-dummy, hurd, and rvmprof-dummy. Superseded
upstream.
* Update copyright.
* Clean up after the new "extra_tests" directory.
2019-01-30 - Stefano Rivera <stefanor@debian.org>
pypy (6.0.0+dfsg-4) unstable; urgency=medium
* Replace patch dots-gctransform with graphlib-dots: Print some more
mandlebrot while breaking cycles, to avoid build timeouts.
* Add namespace package support.
* Add some superficial autopkgtests.
2018-08-28 - Stefano Rivera <stefanor@debian.org>
pypy (6.0.0+dfsg-3) unstable; urgency=medium
* Build in multiarch tuple, even if built with a non-multiarch python.
* Patch skip-hurd-deadlock: Skip a locking test on hurd, that deadlocks.
* Patch dots-gctransform: Print some more mandelbrot while "Inlining GC
helpers", to avoid timeouts.
2018-08-18 - Stefano Rivera <stefanor@debian.org>
pypy (6.0.0+dfsg-2) unstable; urgency=medium
* Add support for hurd-i386 (Closes: #904076), with some patches from
upstream. Thanks Samuel Thibault.
- rvmprof-dummy: A fix for rvmprof.dummy
- avoid-rvmprof-dummy: Disable rvmprof on platforms that won't support it
- hurd: The main platform support patch.
* pypy{compile,clean}: Don't attempt to byte-compile (or clean) python
scripts in /usr/share/doc, when using the -p flag to find all scripts in a
package. (Closes: #904521)
* Add temporary cleanup code to pypyclean, removing any byte-compiled files
that were created due to the above bug.
* Bump Standards-Version to 4.2.0, no changes needed.
2018-04-27 - Stefano Rivera <stefanor@debian.org>
pypy (6.0.0+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Drop patch rvmprof-cpu-detection, superseded upstream.
* Update copyright.
* Declare Rules-Requires-Root: no
* Bump Standards-Version to 4.1.4, no changes needed.
* Migrate VCS fields to salsa.debian.org.
* Correct cffi pydist-override location, thanks olasd. (Closes: #895938)
2018-01-20 - Stefano Rivera <stefanor@debian.org>
pypy (5.10.0+dfsg-3) unstable; urgency=medium
* Patch: dots-stackcheck: Print more dots to avoid timing out on slower
buildds (Closes: #878479)
2017-12-28 - Stefano Rivera <stefanor@debian.org>
pypy (5.10.0+dfsg-2) unstable; urgency=medium
* Patch: rvmprof: Handle ProcessorAutodetectError. Fixing builds on non-JIT
archs.
2017-12-28 - Stefano Rivera <stefanor@debian.org>
pypy (5.10.0+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Bump Standards_version to 4.1.2, no changes needed.

See Also

Package Description
pyqi_0.3.2+dfsg-3_all.deb Python framework for wrapping general commands in multiple interfaces
pyqso_1.1.0-1_all.deb logging tool for amateur radio operators
pyqt4-dev-tools_4.12.1+dfsg-2build2_amd64.deb Development tools for PyQt4
pyqt4.qsci-dev_2.10.4+dfsg-1build2_all.deb Development files for Python Qscintilla2 (Qt4)
pyqt5-dev-tools_5.12.1+dfsg-1_amd64.deb Development tools for PyQt5
pyqt5-dev_5.12.1+dfsg-1_all.deb Development files for PyQt5
pyqt5-examples_5.12.1+dfsg-1_all.deb Examples and demos for PyQt5
pyqt5.qsci-dev_2.10.4+dfsg-1build2_all.deb Development files for Python Qscintilla2 (Qt5)
pyqt5chart-dev_5.11.3+dfsg-1_all.deb Development files for PyQtCharts
pyracerz_0.2-8_all.deb multiplayer top view 2D racing game
pyragua_0.2.5-6_all.deb Very lightweight Python editor
pyrex-mode_0.9.9-1_all.deb emacs-lisp pyrex-mode for pyrex
pyrit-opencl_0.4.0-1build1_amd64.deb OpenCL extension module for Pyrit
pyrit_0.5.1+git20180801-1_amd64.deb GPGPU-driven WPA/WPA2-PSK key cracker
pyrite-publisher_2.1.1-11_amd64.deb Convert html and text documents to palm DOC format
Advertisement
Advertisement